Bug 161119 - Update textproc/lucene to version 3.4.0
Summary: Update textproc/lucene to version 3.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-29 06:20 UTC by Pedro F. Giffuni
Modified: 2011-11-13 17:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.84 KB, patch)
2011-09-29 06:20 UTC, Pedro F. Giffuni
no flags Details | Diff
patch-lucene.txt (2.89 KB, patch)
2011-09-29 22:08 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2011-09-29 06:20:03 UTC
Lucene version 3.x has many new features.

Lucene 2.9.4 is based on Java 4, while the Lucene 3.x series is based on Java 5.
Java 4 was deprecated recently on FreeBSD.
Versions of lucene and py-lucene are meant to match and since py-lucene was updated recently to version 3.4.0 it was only natural to do this update.

Fix: Patch attached.

Please note that textproc/py-lucene will also require a small update to
the LUCENE_VER value in the Makefile.


Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-09-29 06:20:10 UTC
Maintainer of textproc/lucene,

Please note that PR ports/161119 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/161119

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-09-29 06:20:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Pedro F. Giffuni 2011-09-29 22:08:22 UTC
Hi;

I missed some changes in CONTRIBS, so I attach a new patch.

While here I also CC the py-lucene maintainer since his
port will be affected.

Pedro.
Comment 4 Chris Rees freebsd_committer 2011-11-06 14:38:24 UTC
State Changed
From-To: feedback->open

Maintainer timout 


Comment 5 Chris Rees freebsd_committer 2011-11-06 14:38:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take this one.
Comment 6 dfilter service freebsd_committer 2011-11-13 17:44:01 UTC
crees       2011-11-13 17:43:53 UTC

  FreeBSD ports repository

  Modified files:
    textproc/lucene      Makefile distinfo 
  Log:
  Lucene version 3.x has many new features.
  
  Lucene 2.9.4 is based on Java 4, while the Lucene 3.x series is based on Java 5.
  Java 4 was deprecated recently on FreeBSD.
  Versions of lucene and py-lucene are meant to match and since py-lucene was
  updated recently to version 3.4.0 it was only natural to do this update.
  
  PR:             ports/161119
  Submitted by:   Pedro Giffuni <giffunip@tutopia.com>
  Approved by:    maintainer timeout (gerrit.beine@gmx.de)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.10      +33 -40    ports/textproc/lucene/Makefile
  1.7       +2 -2      ports/textproc/lucene/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2011-11-13 17:46:17 UTC
crees       2011-11-13 17:46:02 UTC

  FreeBSD ports repository

  Modified files:
    textproc/py-lucene   Makefile 
  Log:
  Update version of textproc/lucene
  
  PR:             ports/161119
  Submitted by:   Pedro Giffuni <giffunip@tutopia.com>
  Approved by:    Maintainer implicit (clsung)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.29      +2 -1      ports/textproc/py-lucene/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Chris Rees freebsd_committer 2011-11-13 17:46:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!